Summary: KDE Frameworks 5 Tier 3 addon with extra API to write KConfigModules
Name:    kf5-kcmutils
Version: 5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release: 1%{?dist}
License: LGPLv2+
URL:     https://invent.kde.org/frameworks/kcmutils
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/kcmutils-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-kconfigwidgets-devel >= %{majmin}, kf5-kcoreaddons-devel >= %{majmin}, kf5-kdeclarative-devel >= %{majmin}
BuildRequires:  kf5-kguiaddons-devel >= %{majmin}, kf5-ki18n-devel >= %{majmin}, kf5-kiconthemes-devel >= %{majmin}
BuildRequires:  kf5-kitemviews-devel >= %{majmin}, kf5-kpackage-devel >= %{majmin}, kf5-kservice-devel >= %{majmin}
BuildRequires:  kf5-kxmlgui-devel >= %{majmin}, kf5-rpm-macros
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  qt5-qtbase-devel, qt5-qtdeclarative-devel

%description
KCMUtils provides various classes to work with KCModules. KCModules can be
created with the KConfigWidgets framework.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       kf5-kconfigwidgets-devel >= %{majmin}
Requires:       kf5-kservice-devel >= %{majmin}
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n kcmutils-%{version} -p1

%build
%cmake_kf5 \
  -DBUILD_TESTING:BOOL=OFF

%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

mkdir -p %{buildroot}%{_kf5_qtplugindir}/kcms

%check

%files -f %{name}.lang
%license LICENSES/*.txt
%doc README.md
%{_kf5_libdir}/libKF5KCMUtils.so.*
%{_kf5_libdir}/libKF5KCMUtilsCore.so.*
%{_kf5_datadir}/kservicetypes5/*.desktop
%{_kf5_qtplugindir}/kcms/
%{_kf5_qmldir}/org/kde/kcmutils/
%{_kf5_datadir}/qlogging-categories5/kcmutils.*

%files devel
%{_kf5_libdir}/libKF5KCMUtils.so
%{_kf5_libdir}/libKF5KCMUtilsCore.so
%{_kf5_libdir}/cmake/KF5KCMUtils/
%{_kf5_includedir}/KCMUtils/
%{_kf5_includedir}/KCMUtilsCore/
%{_kf5_archdatadir}/mkspecs/modules/qt_KCMUtils.pri
%{_kf5_libexecdir}/kcmdesktopfilegenerator


%changelog
* Sat Nov 25 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
